<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Project extends Model
{
    use HasUuids, HasFactory;

    protected $guarded = [];

    public function products()
    {
        return $this->hasMany(Product::class);
    }

    public function paymentTemplate()
    {
        return $this->belongsTo(PaymentTemplate::class);
    }

    public function paymentTemplates()
    {
        return $this->hasMany(PaymentTemplate::class);
    }
}
